/*
 * Copyright (c) 2004 Sendmail, Inc. and its suppliers.
 *      All rights reserved.
 *
 * By using this file, you agree to the terms and conditions set
 * forth in the LICENSE file which can be found at the top level of
 * the sendmail distribution.
 *
 *	$Id: nameok.h,v 1.4 2011/01/30 21:48:54 ca Exp $
 */

#ifndef DNS_H
#define DNS_H 1

#include "sm/generic.h"

#define DNS__OK		0x0001u	/* _ is ok in domain */
#define DNS_HYPHENS	0x0002u	/* multiple hyphens are ok */
#define DNS_DOT		0x0004u	/* just "." is ok */

bool	validdnsdomain(const uchar *_dn, uint _flags);

#endif /* DNS_H */
